{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "#P#",
        "CEC",
        "#T#"
    ],
    "key": {
        "#": {
            "item": "minecraft:green_wool"
        },
        "P": {
            "item": "minecraft:pig_spawn_egg"
        },
        "C": {
            "item": "minecraft:creeper_head"
        },
        "E": {
            "item": "minecraft:egg"
        },
        "T": {
            "item": "minecraft:tnt"
        }
    },
    "result": {
        "item": "minecraft:creeper_spawn_egg",
        "count": 1
    }
}